# Class AnthropicFunction

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a function that can be provided as a tool.

    public class AnthropicFunction

Inheritance
  object
  AnthropicFunction

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### Instance

Gets the instance on which the method is invoked.

    public object? Instance { get; }

#### Property Value

object

### Method

Gets the method of the function.

    public MethodInfo Method { get; }

#### Property Value

MethodInfo